import { CarReader } from '@ipld/car';
import { AnyBlock, AnyCarHeader, AnyLink, CarMakeable } from './types';
import { Transaction } from './transaction';
export declare function innerMakeCarFile(fp: AnyCarHeader, t: Transaction): Promise<AnyBlock>;
export declare function encodeCarFile(carHeaderBlockCid: AnyLink, t: CarMakeable): Promise<AnyBlock>;
export declare function encodeCarHeader(fp: AnyCarHeader): Promise<AnyBlock>;
export declare function parseCarFile(reader: CarReader): Promise<AnyCarHeader>;
